/*
*	Filename:		Animation.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2006
*/

#ifndef __ANIMATION__
#define __ANIMATION__

struct tKeyFrame {
	MTime time;
	MQuaternion rotation;
};

struct tAnimationTrack {
	unsigned int jointIndex;
	MString jointName;
	std::vector<tKeyFrame> keyFrames;
};

bool operator <(tKeyFrame left, tKeyFrame right);

struct tAnimation {
	double numFrames;
	std::vector<tAnimationTrack> tracks;
};

#endif	// __ANIMATION__
