/*
*	Filename:		Skeleton.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2006
*/

#ifndef __SKELETON__
#define __SKELETON__

#include <maya/MVector.h>
#include <maya/MQuaternion.h>

#include <vector>

struct tJoint {
  int parent;
	MString name;
	MVector translation;
	MQuaternion rotation;
	MQuaternion orientation;
};	

struct tSkeleton {
	std::vector<tJoint *> joints;
};	

#endif	// __SKELETON__